;----- ASM switches -------------------------------------------------------
FastSerial: .ASSIGNA	0		; 0/222kbps  0<>115.2kbps
;----- Parameters ---------------------------------------------------------
PcRxBufSize:	.EQU	576		; PC Rx buffer size		1
PcTxBufSize:	.EQU	576		; PC Rx buffer size		1
DataBufSize:	.EQU	64		; Amp data buffer for Squelch	1
DFMFcont		.EQU	600		; DTMF count limit 30msecx4
RAMGBR:		.EQU	H'FFFFF000	; Internal RAM base address	1
CT_TSR0:	.EQU	H'8265		;				1
SERGBR:		.EQU	H'FFFF8100	; Serial I/O base address
IOGBR:		.EQU	H'FFFF8200	; Internal I/O base address
PORTGBR:	.EQU	H'FFFF8300	; Port I/O address
BUSCGBR:	.EQU	H'FFFF8600	; Bus controller I/O base address
ADCR0t		.EQU	H'88-H'20	; Address Offset		2
RealSCR1	.EQU	H'FFFF81B2	; Real Serial 1 read
RealSCR3	.EQU	H'FFFF81D2	; Real Serial 3 read

;-- Serial --
SMR0	.EQU	H'A0			; Serial mode register
BRR0	.EQU	H'A1			; Serial baud rate set
SCR0	.EQU	H'A2			; Serial control register
SDCR0	.EQU	H'A6			; MSB/LSB first select
SMR1	.EQU	H'B0			; Serial mode register
BRR1	.EQU	H'B1			; Serial baud rate set
SCR1	.EQU	H'B2			; Serial control register
SDCR1	.EQU	H'B6			; MSB/LSB first select
SMR2	.EQU	H'C0			; Serial mode register
BRR2	.EQU	H'C1			; Serial baud rate set
SCR2	.EQU	H'C2			; Serial control register
Fscr2	.EQU	H'81C2			;  full address
SDCR2	.EQU	H'C6			; MSB/LSB first select
SMR3	.EQU	H'D0			; Serial mode register
BRR3	.EQU	H'D1			; Serial baud rate set
SCR3	.EQU	H'D2			; Serial control register
SDCR3	.EQU	H'D6			; MSB/LSB first select
;-- Timmer Unit --
TSTR	.EQU	H'40			; Timmer Start/Reset reg
TSYR	.EQU	H'41			; Timmer syncronus operation

TCR0	.EQU	H'60			; Timmer Control register
TMDR0	.EQU	H'61			; Timmer Mode register
TIOR0H	.EQU	H'62			; Timmer I/O control
TIOR0L	.EQU	H'63			;
TIER0	.EQU	H'64			; Timmer Interrupt register
TCNT0	.EQU	H'66			; Counter
TGRA0	.EQU	H'68			; Compare A register
TGRB0	.EQU	H'6A			; Compare B register
TGRC0	.EQU	H'6C			; Compare C register
TGRD0	.EQU	H'6E			; Compare D register

TCR1	.EQU	H'80			; Timmer Control register
TMDR1	.EQU	H'81			; Timmer Mode register
TIOR1	.EQU	H'82			; Timmer I/O control
TIER1	.EQU	H'84			; Timmer Interrupt register
TCNT1	.EQU	H'86			; Counter
TGRA1	.EQU	H'88			; Compare A register
TGRB1	.EQU	H'8A			; Compare B register

TCR2	.EQU	H'A0			; Timmer Control register
TMDR2	.EQU	H'A1			; Timmer Mode register
TIOR2	.EQU	H'A2			; Timmer I/O control
TIER2	.EQU	H'A4			; Timmer Interrupt register
TCNT2	.EQU	H'A6			; Counter
TGRA2	.EQU	H'A8			; Compare A register
TGRB2	.EQU	H'AA			; Compare B register

TCR3	.EQU	H'00			; Timmer Control register
TCR4	.EQU	H'01
TMDR3	.EQU	H'02			; Timmer Mode Register
TMDR4	.EQU	H'03
TIOR3H:	.EQU	H'04			;				2
TIOR3L:	.EQU	H'05			;				2
TIOR4H:	.EQU	H'06			;				2
TIOR4L:	.EQU	H'07			;				2
TIER3	.EQU	H'08			; Timmer Interrupt reg
TIER4	.EQU	H'09
TOER	.EQU	H'0A
TOCR	.EQU	H'0B
TGCR	.EQU	H'0D
TCNT3	.EQU	H'10			; Timmer 3 counter
TCNT4	.EQU	H'12
TCDR	.EQU	H'14
TDDR	.EQU	H'16
TGRA3	.EQU	H'18
TGRB3	.EQU	H'1A
TGRA4	.EQU	H'1C
TGRB4	.EQU	H'1E
TCBR	.EQU	H'22
TGRC3	.EQU	H'24
TGRD3	.EQU	H'26
TGRC4	.EQU	H'28
TGRD4	.EQU	H'2A

;-- Interrupt unit --
IPRA	.EQU	H'48			; Interrupt priority A
IPRB	.EQU	H'4A			;                    B
IPRC	.EQU	H'4C			;	C
IPRD	.EQU	H'4E			;	D
IPRE	.EQU	H'50			;	E
IPRF	.EQU	H'52			;	F
IPRG	.EQU	H'54			;	G
IPRH	.EQU	H'56			;	H
IPRI	.EQU	H'5C			;	I
ICR	.EQU	H'58			; Int control register
ICR2	.EQU	H'66			;

;-- Bus controller --
BCR1	.EQU	H'20			; Bus Control register
BCR2	.EQU	H'22
WCR1	.EQU	H'24			; Read Wait control
WCR2	.EQU	H'26
SBYCR	.EQU	H'14			; Standby mode set
SYSCR	.EQU	H'18			; System control
MSTCR1	.EQU	H'1C			; Module power control
MSTCR2	.EQU	H'1E			; Module power control

;-- Port controll --
PAIORL	.EQU	H'86
PACRL1	.EQU	H'8C
PACRL2	.EQU	H'8E

PBIOR	.EQU	H'94
PCIOR	.EQU	H'96
PBCR1	.EQU	H'98
PBCR2	.EQU	H'9A
PCCR	.EQU	H'9C

PDIORL	.EQU	H'A6
PDCRL1	.EQU	H'AC
PDCRL2	.EQU	H'AE

PEIOR	.EQU	H'B4
PECR1	.EQU	H'B8
PECR2	.EQU	H'BA

PADRL	.EQU	H'82
PBDR	.EQU	H'90
PCDR	.EQU	H'92
PDDRL	.EQU	H'A2
PEDR	.EQU	H'B0
PFDR	.EQU	H'B3

;-- A/D control --
ADCSR0	.EQU	H'8480
ADCR0	.EQU	H'8488
ADCSR1	.EQU	H'8481
ADCR1	.EQU	H'8488

;-- Port data Address --
PortAadd	.EQU	H'8382
PortBadd	.EQU	H'8390
PortCadd	.EQU	H'8392
PortEadd	.EQU	H'83B0
PortFadd	.EQU	H'83B3

;----- SD card command -----
CMD0	.EQU	H'40
CMD1	.EQU	H'41
CMD9	.EQU	H'49
CMD10	.EQU	H'4A
CMD13	.EQU	H'4D
CMD17	.EQU	H'51
CMD24	.EQU	H'58
CMD58	.EQU	H'7A
CMD59	.EQU	H'7B
CMD18W	.EQU	H'2C

;----- Trap vector -------------------------------------
IntHard	.EQU	H'20
DSPrst	.EQU	H'21
CodecReset	.EQU	H'22
CH0P25	.EQU	H'23
SetRST	.EQU	H'24
SerialSel	.EQU	H'25
DDSout	.EQU	H'26
SetPA	.EQU	H'27
LitLED	.EQU	H'28
SetVolu	.EQU	H'2A
Infil	.EQU	H'2B
Prompt	.EQU	H'2D
LoadCyclone	.EQU	H'2E
SDsectorW	.EQU	H'30
ReadCport	.EQU	H'31
ReadFport	.EQU	H'2C
ADCchan	.EQU	H'32
CARDstat	.EQU	H'33
MainFrequ	.EQU	H'34
TrantSeqEnd	.EQU	H'35
DDSfreq	.EQU	H'36
FPGArst	.EQU	H'37
SelIFW	.EQU	H'38
StartBoot	.EQU	H'3A
BootDSP	.EQU	H'3B
SendSerial	.EQU	H'3C
DDSrst		.EQU	H'3D
ReadSerial	.EQU	H'3E
SetWdog	.EQU	H'3F
ClrWdog		.EQU	H'29
